> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取视频内容

> 获取已完成视频任务的视频文件内容。

此接口会代理返回视频文件流。



## OpenAPI

````yaml api-reference/cn/openapi.json GET /v1/videos/{task_id}/content
openapi: 3.0.0
info:
  title: 出海营 API 参考文档
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI格式(Chat)
  - name: OpenAI格式(Responses)
  - name: 图片生成Gemini格式
  - name: 图片生成OpenAI DALL-E格式
  - name: 获取模型列表
  - name: 视频生成HappyHorse与Wan
  - name: 视频生成Kling格式
  - name: 视频生成Omni与Veo格式
  - name: 视频生成Seedance格式
  - name: 视频生成Sora兼容格式
  - name: 视频生成Vidu格式
  - name: 音乐生成任务格式
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - 视频生成Sora兼容格式
      summary: 获取视频内容
      description: |-
        获取已完成视频任务的视频文件内容。

        此接口会代理返回视频文件流。
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: 视频任务 ID
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: 成功获取视频内容
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: 视频不存在或未完成
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: 错误信息
            type:
              type: string
              description: 错误类型
            param:
              type: string
              description: 相关参数
              nullable: true
            code:
              type: string
              description: 错误代码
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        使用 Bearer Token 认证。
        格式: `Authorization: Bearer sk-xxxxxx`

````